/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

import type { HttpSetup, HttpStart } from '@kbn/core-http-browser';

export type InternalHttpSetup = Omit<HttpSetup, 'staticAssets'> & {
  staticAssets: InternalStaticAssets;
};

export type InternalHttpStart = Omit<HttpStart, 'staticAssets'> & {
  staticAssets: InternalStaticAssets;
};

export interface InternalStaticAssets {
  getPluginAssetHref(pluginId: string, assetPath: string): string;
}
