/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Export exception list API endpoint
 *   version: 2023-10-31
 */

import { z } from 'zod';

import {
  ExceptionListId,
  ExceptionListHumanId,
  ExceptionNamespaceType,
} from '../model/exception_list_common.gen';

export type ExportExceptionListRequestQuery = z.infer<typeof ExportExceptionListRequestQuery>;
export const ExportExceptionListRequestQuery = z.object({
  /**
   * Exception list's identifier
   */
  id: ExceptionListId,
  /**
   * Exception list's human identifier
   */
  list_id: ExceptionListHumanId,
  namespace_type: ExceptionNamespaceType,
  /**
   * Determines whether to include expired exceptions in the exported list
   */
  include_expired_exceptions: z.enum(['true', 'false']).default('true'),
});
export type ExportExceptionListRequestQueryInput = z.input<typeof ExportExceptionListRequestQuery>;
