/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Import list items API endpoint
 *   version: 2023-10-31
 */

import { z } from 'zod';

import { ListId, ListType } from '../model/list_common.gen';
import { List } from '../model/list_schemas.gen';

export type ImportListItemsRequestQuery = z.infer<typeof ImportListItemsRequestQuery>;
export const ImportListItemsRequestQuery = z.object({
  /** 
      * List's id.

Required when importing to an existing list.
 
      */
  list_id: ListId.optional(),
  /** 
      * Type of the importing list.

Required when importing a new list that is `list_id` is not specified.
 
      */
  type: ListType.optional(),
  serializer: z.string().optional(),
  deserializer: z.string().optional(),
  /**
   * Determines when changes made by the request are made visible to search
   */
  refresh: z.enum(['true', 'false', 'wait_for']).optional(),
});
export type ImportListItemsRequestQueryInput = z.input<typeof ImportListItemsRequestQuery>;

export type ImportListItemsResponse = z.infer<typeof ImportListItemsResponse>;
export const ImportListItemsResponse = List;
