/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Update list API endpoint
 *   version: 2023-10-31
 */

import { z } from 'zod';

import { ListId, ListName, ListDescription, ListMetadata } from '../model/list_common.gen';
import { List } from '../model/list_schemas.gen';

export type UpdateListRequestBody = z.infer<typeof UpdateListRequestBody>;
export const UpdateListRequestBody = z.object({
  id: ListId,
  name: ListName,
  description: ListDescription,
  meta: ListMetadata.optional(),
  version: z.number().int().min(1).optional(),
  _version: z.string().optional(),
});
export type UpdateListRequestBodyInput = z.input<typeof UpdateListRequestBody>;

export type UpdateListResponse = z.infer<typeof UpdateListResponse>;
export const UpdateListResponse = List;
